import useContractDataFactory from '../common/useContractDataFactory';
import useContractMetadataFactory from '../common/useContractMetadataFactory';
import useBuyPrivateFactory from '../common/useBuyPrivateFactory';
import useBuyPublicFactory from '../common/useBuyPublicFactory';
import useWhiteListTicketsFactory from '../common/useWhiteListTicketsFactory';
import useConfigFactory from '../common/useConfigFactory';
import _useAssets from './useAssets';
import _useBalances from './useBalances';
import { UseCase } from '@inkerlabs/sdk';
export var useContractData = useContractDataFactory(UseCase.PASS);
export var useContractMetadata = useContractMetadataFactory(UseCase.PASS);
export var useAssets = _useAssets;
export var useBalances = _useBalances;
export var useBuyPrivate = useBuyPrivateFactory(UseCase.PASS);
export var useBuyPublic = useBuyPublicFactory(UseCase.PASS);
export var useWhiteListTickets = useWhiteListTicketsFactory(UseCase.PASS);
export var useConfig = useConfigFactory();
